RESTinio

Classes | Typedefs
restinio::connection_state Namespace Reference

## Classes
class | accepted_t
| Type of object that tells that new connection has been accepted. More...
class | closed_t
| Type of object that tells that the connection has been closed. More...
struct | noop_listener_t
| The default no-op state listener. More...
class | notice_t
| An object with info about connection to be passed to state listener. More...
class | tls_accessor_t
| Accessor to TLS-specific information related to a connection. More...
class | upgraded_to_websocket_t
| Type of object that tells that the connection has been upgraded to WebSocket. More...

## Typedefs
using | cause_t = variant_t< accepted_t, closed_t, upgraded_to_websocket_t >
| A type for the representation of the current state of a connection. More...

## Typedef Documentation

## ◆ cause_t

using restinio::connection_state::cause_t = typedef variant_t< accepted_t, closed_t, upgraded_to_websocket_t >

A type for the representation of the current state of a connection.

Please note that in C++17 and above it is just a `std::variant` and all tools from the C++ standard library (like `std::holds_alternative`, `std::get`, `std::get_if`, `std::visit`) can be used.

But for C++14 a version of those tools from restinio namespace should be used (e.g. `restinio::holds_alternative`, `restinio::get`, `restinio::get_if`, `restinio::visit`).

Since
  v.0.6.0

Definition at line 212 of file connection_state_listener.hpp.